#!/usr/bin/perl -wn

# Strip from the input all text between a line of "----" and a line of "====".
# Since I separate major groups by "====" and items within the group by "----",
# the effect of this is to leave only one item per major group.

BEGIN {
  $outputting = 1;
}

if (/^=+$/) {
  $outputting = 1;
}
if (/^-+$/) {
  $outputting = 0;
}

if ($outputting) {
  print;
}
